WordPress.org

Ready to get started?Download WordPress

Forums

Twitter Tools
Fatal error: Call to a member function do_blog_post_tw.. (7 posts)

  1. jamblo
    Member
    Posted 2 years ago #

    Hello there

    I use Twitter Tools to create WordPress posts from Tweets.

    I am getting the following error, intermittently:

    PHP Fatal error: Call to a member function do_blog_post_tweet() on a non-object in /home/XXXXX/public_html/wp-content/plugins/twitter-tools/twitter-tools.php on line 740

    Is there any known cause of this error? I also use FeedWordPress (http://feedwordpress.radgeek.com) on the site. There seems to be frequent mention of this error when you Google the term, but few solutions.

    The only "fix" I found was installing a plugin called XRDS-Simple (Provides framework for other plugins to advertise services via XRDS) but that only temporarily worked, the error is back today.

    Really need to sort this out as the site is due to go live soon.

    http://wordpress.org/extend/plugins/twitter-tools/

  2. b-summers
    Member
    Posted 2 years ago #

    I have been getting the same error. It does not happen all the time, just randomly.

    I do not have the other plugin that you mentioned installed (FeedWordPress), so I dont think that is the issue.

    Still have not found a fix...I'm thinking of scrapping the plugin and finding a new one.

  3. jamblo
    Member
    Posted 2 years ago #

    I'm still using the plugin, and not seeing the error too much, but still know its lurking out there. Bloody annoying, as its perfect for my needs!

  4. b-summers
    Member
    Posted 2 years ago #

    Ha, I just got your message, and at the same time I got this error from guess where?

    Warning: require_once() [function.require-once]: open_basedir restriction in effect. File(twitteroauth.php) is not within the allowed path(s): (/home/honey:/usr/lib/php:/usr/php4/lib/php:/usr/local/lib/php:/usr/local/php4/lib/php:/tmp) in /home/honey/public_html/cms/wp-content/plugins/twitter-tools/twitter-tools.php on line 1518

    Fatal error: Can't load twitteroauth.php, open_basedir restriction. in /home/honey/public_html/cms/wp-content/plugins/twitter-tools/twitter-tools.php on line 1518

    So I guess my error is a little different, but I get it at least once a day, and my users will also see this error. I even get this error when I'm trying to backup my site. So I'm thinking Im going to switch to "twitter widget pro"

  5. jamblo
    Member
    Posted 2 years ago #

    Aye. Thing is I use Twitter Tools to POST posts, from Twitter Tweets – not found another plugin willing to do that.

    I even explored the "hide PHP errors" from visitors route - figured a blank page would be better than the above error messages, but drew a blank there n'all.

    Bah.

  6. b-summers
    Member
    Posted 2 years ago #

    Yes very true.

    Fortunately I don't really need that functionality (however it would be nice to have), so pretty much any other twitter plug-in will work. haha.

    Let hope the creator comes up with a fix soon ;) Or someone else make some competition!

    Cheers

  7. Alex King
    Member
    Plugin Author

    Posted 2 years ago #

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic